Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000373Core InformSource text and punctuationpublic2010-10-29 23:262011-01-10 11:15
Reporterjmcgrew 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000373: Internal error when "rather" is incorrectly bracketed in a Definition
DescriptionThe code below produces an internal error:

Problem. An internal error has occurred: Bracket mismatch when registering. The current sentence is 'Definition' ; the error was detected at line 633 of "Chapter 10/Excerpt Meanings.w". This should never happen, and I am now halting in abject failure.

Minimal Source Text To Reproduce
Where The Heart Is is a room.

Definition: a room is home (rather than house) if it is Where The Heart Is.
Additional InformationThe code works correctly when the parentheses are removed.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000847)
graham (administrator)
2010-11-21 07:54

Oops, etc. There's now a problem message.

- Issue History
Date Modified Username Field Change
2010-10-29 23:26 jmcgrew New Issue
2010-10-30 21:35 jmcgrew Status new => acknowledged
2010-11-01 17:09 EmacsUser Status acknowledged => confirmed
2010-11-21 07:54 graham Note Added: 0000847
2010-11-21 07:54 graham Status confirmed => resolved
2010-11-21 07:54 graham Resolution open => fixed
2010-11-21 07:54 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker